aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorTrygve Laugstøl <trygvis@inamo.no>2013-01-27 12:58:25 +0100
committerTrygve Laugstøl <trygvis@inamo.no>2013-01-27 12:58:25 +0100
commit11c930f71db58201994265b71a8f76187f1dbda1 (patch)
treeb0f90a4d631b946e4cb3d3755e9da1e3198aee71 /bin
parent6076c500405b7759845496dce6d3b9e1dc619cca (diff)
downloadapp.sh-11c930f71db58201994265b71a8f76187f1dbda1.tar.gz
app.sh-11c930f71db58201994265b71a8f76187f1dbda1.tar.bz2
app.sh-11c930f71db58201994265b71a8f76187f1dbda1.tar.xz
app.sh-11c930f71db58201994265b71a8f76187f1dbda1.zip
o Adding a common header to all scripts.
o Disabling un-used tests and apps for now.
Diffstat (limited to 'bin')
-rwxr-xr-xbin/X-app-instance (renamed from bin/app-instance)0
-rwxr-xr-xbin/app-conf12
-rwxr-xr-xbin/app-init10
-rwxr-xr-xbin/app-operate73
-rwxr-xr-xbin/app-start11
-rwxr-xr-xbin/app-stop11
6 files changed, 31 insertions, 86 deletions
diff --git a/bin/app-instance b/bin/X-app-instance
index 02e3c0f..02e3c0f 100755
--- a/bin/app-instance
+++ b/bin/X-app-instance
diff --git a/bin/app-conf b/bin/app-conf
index b890d6d..3602a39 100755
--- a/bin/app-conf
+++ b/bin/app-conf
@@ -1,11 +1,9 @@
#!/bin/bash
-# HEADER START
-if [[ $APPSH_HOME == "" ]]
-then
- APPSH_HOME=`dirname "$0"`
- APPSH_HOME=`cd "$APPSH_HOME/.." && pwd`
-fi
+set -e
+set -u
+
+APPSH_HOME=$(cd $(dirname "$0")/.. && pwd)
. $APPSH_HOME/lib/common
# HEADER END
@@ -125,7 +123,7 @@ case "$command" in
exit 1
fi
- conf_delete "$1" "$2"
+ conf_delete "$1"
;;
*)
if [ -z "$command" ]
diff --git a/bin/app-init b/bin/app-init
index e758916..cca82e1 100755
--- a/bin/app-init
+++ b/bin/app-init
@@ -1,14 +1,12 @@
-#!/bin/bash -e
+#!/bin/bash
+set -e
set -u
-if [[ $APPSH_HOME == "" ]]
-then
- APPSH_HOME=`dirname "$0"`
- APPSH_HOME=`cd "$APPSH_HOME/.." && pwd`
-fi
+APPSH_HOME=$(cd $(dirname "$0")/.. && pwd)
. $APPSH_HOME/lib/common
+# HEADER END
usage() {
echo "usage: $0 -d dir <resolver> <resolver args>"
diff --git a/bin/app-operate b/bin/app-operate
deleted file mode 100755
index dc16780..0000000
--- a/bin/app-operate
+++ /dev/null
@@ -1,73 +0,0 @@
-#!/bin/bash
-
-if [[ $APPSH_HOME == "" ]]
-then
- APPSH_HOME=`dirname "$0"`
- APPSH_HOME=`cd "$APPSH_HOME/.." && pwd`
-fi
-
-operate_usage() {
- if [ -n "$1" ]
- then
- echo "Error:" "$@" >&2
- fi
-
- echo "usage: $0 [operate method] -n name -i instance" >&2
- exit 1
-}
-
-method_operate_usage() {
- if [ -n "$1" ]
- then
- echo "Error:" $@ >&2
- fi
-
- echo "usage: $0 operate <operate method>" >&2
- echo "" >&2
- echo "Available operate methods:" >&2
- echo " start" >&2
- echo " stop" >&2
- echo " restart" >&2
- echo " status" >&2
-}
-
-method_operate() {
- local name="$1"; shift
- local instance="$1"; shift
- local method="$1"
-
- if [ $# -gt 0 ]
- then
- shift
- fi
-
- bin=`$APPSH_HOME/bin/app-cat-conf -f $apps/$name/$instance/current/etc/app.conf -g app -k method | cut -f 2 -d =`
-
- if [ -z "$bin" ]
- then
- bin=$APPSH_HOME/.app/lib/pid-method
- fi
-
- if [ ! -x "$name/$instance/current/$bin" ]
- then
- echo "Invalid executable: $bin" >&2
- exit 1
- fi
-
- case "$method" in
- start) run_app "$name" "$instance" "$bin" "start" "$@" ;;
- stop) run_app "$name" "$instance" "$bin" "stop" "$@" ;;
- status) run_app "$name" "$instance" "$bin" "status" "$@" ;;
- restart) run_app "$name" "$instance" "$bin" "restart" "$@" ;;
- run) run_app "$name" "$instance" "$bin" "run" "$@" ;;
- *)
- if [ -z "$method" ]
- then
- method_operate_usage
- else
- method_operate_usage "Unknown method $method"
- fi
- ;;
- esac
- exit $?
-}
diff --git a/bin/app-start b/bin/app-start
new file mode 100755
index 0000000..be290ce
--- /dev/null
+++ b/bin/app-start
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -e
+set -u
+
+APPSH_HOME=$(cd $(dirname "$0")/.. && pwd)
+
+. $APPSH_HOME/lib/common
+# HEADER END
+
+exec $APPSH_HOME/libexec/app-operate "start" "$@"
diff --git a/bin/app-stop b/bin/app-stop
new file mode 100755
index 0000000..535af9e
--- /dev/null
+++ b/bin/app-stop
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -e
+set -u
+
+APPSH_HOME=$(cd $(dirname "$0")/.. && pwd)
+
+. $APPSH_HOME/lib/common
+# HEADER END
+
+exec $APPSH_HOME/libexec/app-operate "stop" "$@"